#define systemSevenOrLater	1
#include "Types.r"
#include "SysTypes.r"

#define DONOTINCLUDEVERSION	1
#include "Fader.r"

// version info
resource 'vers' (1, purgeable) {
	0x01, 0x00, release, 0x00, verFrance,
	"1.0",
	"1.0, by Franois Pottier, 10/1993"
};

resource 'vers' (2, purgeable) {
	0x04, 0x02, release, 0x00, verUS,
	"4.2",
	"(for DarkSide of the Mac 4.2)"
};

resource 'DITL' (5000, purgeable) {
	{
	{ 5, 5, 20, areaWidth-5 },
		StaticText {enabled, "5 In A Row"},
		
	{ 5, areaWidth-33, 5+32, areaWidth-2 },
		Icon {enabled, 5000},
	
	{ 25, 15, 25+30, areaWidth-15 },
	 	Control {enabled, 5000+1},
	 	
 	{ 65, 15, 65+30, areaWidth-15 },
	 	Control {enabled, 5000+2},

	};
};

resource 'CNTL' (5001, purgeable) {
	{0, 0, 0+30, areaWidth-20},
	20,
	visible,
	60,
	0,
	16*200,
	5001,				// STR# ID of the names
	"Playing speed: "
};

resource 'CNTL' (5002, purgeable) {
	{0, 0, 0+30, areaWidth-20},
	16,
	visible,
	48,
	6,
	16*200,
	5002,				// STR# ID of the names
	"Square size: "
};

// strings filled in for the first control
resource 'SCTL' (5001) {
	{
	0,	"Painfully slow";
	10, "Very slow";
	20,	"Slow";
	30, "Rather slow";
	40,	"Normal";
	50, "Fast";
	60,	"Very fast";
	};
};

// strings filled in for the second control
resource 'SCTL' (5002) {
	{
	6,  "Tiny";
	12, "Small";
	16,	"Normal";
	24, "Large";
	36,	"Very large";
	48, "Huge";
	};
};

// resource to control the DITL above
resource 'DCTL' (5000) {
	{
	// item 1		about ID		ignored			ignored
	1,				5000,			0,				0;
	
	// item 2		about ID		ignored			ignored
	2, 				5000,			0, 				0;
	
	// item 3		res control		ignored			first short
	3,				3,				0,				0;
	
	// item 4		res control		ignored			second short
	4,				3,				0,				1;
	};
};

// default values for our fader
resource 'DFLT' (5000) {
	{40, 16},
	{};
};

resource 'HELP' (5000) {
	"5 In A Row, by Franois Pottier - 10/1993.\n\n"
	"Watch the computer play against itself!\n\n"
	"This fader was written in THINK C 5.0 and is placed into the public domain. "
	"It should help you create your own faders in THINK C."
};

resource 'Chnl' (0) {
	sampledSynth;
};

resource 'STR#' (5000) {
	{
	"5 in a row is now impossible. This is a draw!";
	"White just won!";
	"Black just won!";
	};
};

data 'snd ' (128, preload) {
	$"0001 0001 0005 0000 00A0 0001 8051 0000"            /* ...........Q.. */
	$"0000 0014 0000 0000 0000 03FB 1CFA 2E8A"            /* ............. */
	$"0000 03F9 0000 03FA 003C 8184 8484 8485"            /* .......< */
	$"8686 8A8D 8C87 8588 8784 7F7F 807D 7C7E"            /* ..}|~ */
	$"827F 7C7C 7C7B 7575 797A 7A7C 7E7F 7D7C"            /* .|||{uuyzz|~.}| */
	$"7C7D 7D7C 7A77 7777 787B 7C7C 7C7C 8084"            /* |}}|zwwwx{|||| */
	$"8482 807D 7C7C 7F81 817E 8284 8584 8486"            /* }||.~ */
	$"8482 8484 8482 8181 8283 8382 807D 7C7C"            /* }|| */
	$"7D7C 7C7C 8080 8080 7F7D 7C79 777A 7C7C"            /* }|||.}|ywz|| */
	$"7C7C 7C7C 7C7E 8484 7F80 8484 8484 8786"            /* |||||~. */
	$"8484 8586 8484 8689 8684 8584 7F7E 7E7C"            /* .~~| */
	$"7C7C 7A78 7675 7676 7474 7778 7A7C 7E7C"            /* ||zxvuvvttwxz|~| */
	$"7C79 797A 7B7A 7B7C 7E7F 8181 7D7C 7B7A"            /* |yyz{z{|~.}|{z */
	$"7A7A 797B 7E82 8485 8484 8484 848A 8C88"            /* zzy{~ */
	$"868A 8A87 898B 8B86 8484 8585 837E 7D7C"            /* ~}| */
	$"7A79 7C7C 7C79 7C7E 8281 817F 7D7E 807F"            /* zy|||y|~.}~. */
	$"7F7E 7D7C 7C7D 7C77 7677 7679 7D83 8482"            /* .~}||}|wvwvy} */
	$"8485 847D 7C7B 7978 7C7E 8283 8383 8383"            /* }|{yx|~ */
	$"8484 8483 8484 8280 817C 9E9C 4A5D C65C"            /* |J]\ */
	$"3757 2384 DDDD DDDD DD76 233D 6C69 C37C"            /* 7W#v#=li| */
	$"41DD B626 8EC8 4223 3444 2323 269F C431"            /* Aݶ&B#4D##&1 */
	$"4CD3 C641 2323 3DC3 9B23 7CCC 99C2 9B81"            /* LA##=Û#|̙ */
	$"D7D1 969C B25E 349C DBDD DDDB D2DD CE9F"            /* і^4Ο */
	$"B2B9 A5A2 A69E A56C 234C A7AD 583D 4A2A"            /* l#LX=J* */
	$"2B43 3C39 432C 67C4 947D B49C 6C79 8081"            /* +C<9C,gĔ}ly */
	$"7E65 88D2 DDD6 D8CC 9CA8 C29D 8A98 7768"            /* ~e̜wh */
	$"96A8 BAB4 7C67 7C74 5C55 4845 464F 6062"            /* |g|t\UHEFO`b */
	$"5E51 5E7F 8491 A07A 5661 6A73 99B1 B4A7"            /* ^Q^.zVajs */
	$"9CA7 B6C9 B79E 9687 6E76 99AE A493 8884"            /* ɷnv */
	$"8B93 9684 5D53 717D 8486 8474 6767 6E75"            /* ]Sq}tggnu */
	$"6649 4A5C 6375 9292 8484 8C8C 8E90 807C"            /* fIJ\cu| */
	$"7C75 7B89 A0B4 B4AB A29D 9284 7B7C 8074"            /* |u{{|t */
	$"6C6C 7B82 7F7B 7C76 6E6A 696F 7775 6C72"            /* ll{.{|vnjiowulr */
	$"7C74 7176 7C79 7474 7C8A 8B84 8486 8480"            /* |tqv|ytt| */
	$"848C 8C81 808B 9496 8F8C 847C 7C7F 8D92"            /* ||. */
	$"857A 7C7F 7875 787C 7976 717B 8782 7C81"            /* z|.xux|yvq{| */
	$"8682 7C7C 7E81 8285 877F 7C84 8181 878A"            /* ||~.| */
	$"8488 8C85 858E 8D84 827E 7C7C 7F7D 7F82"            /* ~||.}. */
	$"8980 7B79 7A74 7172 7171 7575 7274 8183"            /* {yztqrqquurt */
	$"7C7C 7C76 7374 797C 7973 7A81 8281 848A"            /* |||vsty|ysz */
	$"847D 8084 827A 757A 8284 8584 8484 837E"            /* }zuz~ */
	$"7F7C 7570 6E74 7473 7578 7973 6F74 7C7C"            /* .|upnttsuxysot|| */
	$"7B7C 7C7C 8488 8C8F 8A84 868B 8B87 8786"            /* {||| */
	$"8489 8D8D 8D86 7C80 8480 7A76 7574 7375"            /* |zvutsu */
	$"7A78 7574 7676 7375 7574 777C 7C7D 817E"            /* zxutvvsuutw||}~ */
	$"7C7B 7B7C 8384 8484 8889 8684 8485 837C"            /* |{{|| */
	$"8284 807C 7A7A 7C7D 7C7C 7C7C 7D7D 7F7D"            /* |zz|}||||}}.} */
	$"7C76 777A 7A7A 7977 7C80 8484 8483 7D79"            /* |vwzzzyw|}y */
	$"7A7C 7C7F 7E80 8481 8284 847E 7B7B 7C7B"            /* z||.~~{{|{ */
	$"7678 7C7C 7B7E 817C 7C79 7473 7476 7B7B"            /* vx||{~||ytstv{{ */
	$"7C7E 8284 8181 7D79 7A7C 8082 8486 8887"            /* |~}yz| */
	$"878B 8A84 8181 817E 7E7C 7C7B 7A7A 7C7C"            /* ~~||{zz|| */
	$"7B7C 7C7C 7B7B 7A79 7774 7377 7C7C 7C7C"            /* {|||{{zywtsw|||| */
	$"7C7C 7C7C 8181 7F82 8589 8A89 8A8B 8A85"            /* ||||. */
	$"8487 8482 8484 8484 8584 847F 7C7C 7977"            /* .||yw */
	$"7575 757A 7C7B 7B7B 7A76 7578 7C7A 7978"            /* uuuz|{{{zvux|zyx */
	$"7C7C 7C79 7676 7878 7B7B 7A78 7B7A 7C7C"            /* |||yvvxx{{zx{z|| */
	$"7D81 8383 8484 8483 7F7C 7C7B 7B7A 797A"            /* }.||{{zyz */
	$"7C7B 7A79 7C7B 7574 7579 7C7D 8082 8381"            /* |{zy|{utuy|} */
	$"7E7C 7C7A 767A 7D7D 7E80 8180 8284 8281"            /* ~||zvz}}~ */
	$"817D 7C7C 8184 8484 8483 8283 8483 8181"            /* }|| */
	$"8182 8381 8180 7E7D 7F81 7F7C 7C7C 7C7C"            /* ~}..||||| */
	$"7C7F 807F 8183 8481 807F 7E7C 7C7C 7A76"            /* |...~|||zv */
	$"7475 7A7B 7A76 7777 7574 7879 7575 797C"            /* tuz{zvwwutxyuuy| */
	$"7C7C 7C7C 7A79 7C7D 7C7C 7C7C 8284 8484"            /* ||||zy|}|||| */
	$"8484 8182 8381 7F7E 7F80 807F 7F7E 7C7A"            /* .~...~|z */
	$"7B7C 7C7A 78"                                       /* {||zx */
};

